## batik 1.7.ubuntu

=== sources/org/apache/batik/Makefile ===
default :
	$(MAKE) -C ../../../..

## batik 1.7

=== debian/changelog ===
batik (1.7-8) unstable; urgency=low

  * Fix FTBS with recent openjdk (closes: #643508)
  * Bump to newer standards version, no changes required

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 29 Sep 2011 21:35:31 +0200

batik (1.7-7) unstable; urgency=low

  * Re-enable all patches that had mistakenly been disabled by switching to
    source format 3.0 (quilt) (closes: #604871)
  * Already conforms to standards 3.9.1

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 25 Nov 2010 16:24:33 +0100

batik (1.7-6) unstable; urgency=low

  [ Vincent Fourmond ]
  * Really fix the dependency on java runtime to only pull headless
    runtimes

  [ Gabriele Giacone ]
  * Added Maven support
  * Standards-Version to 3.8.4
  * Source format 3.0 (quilt)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 21 Feb 2010 19:02:10 +0100

batik (1.7-5) unstable; urgency=low

  * Dropped the dependency on openjdk-6-jre, in profit for
    openjdk-6-jre-headless, so we won't pull the whole Gtk libraries just
    for using fop (closes: #551545).
  * Already conforms to standards 3.8.3
  * Removing Arnaud Vandyck from Uploaders as he did retire. Many thanks
    for your work on batik !

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 25 Jan 2010 21:58:59 +0100

batik (1.7-4) unstable; urgency=low

  * Porting fixes from Ubuntu (1.7.dfsg-0ubuntu3) by Onkar Shinde
    <onkarshinde@ubuntu.com>:
    - add xml-apis-ext and js to classpath for debian/wrappers/squiggle
    - promote rhino to a Recommends, as squiggle depends on it
    - debian/patches/06_fix_paths_in_policy_files.patch to fix the paths
      of the security policy files
  * This finally makes squiggle work for Debian ! (closes: #499852)
    Many thanks again to Onkar...

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 20 Apr 2009 21:22:26 +0200

batik (1.7-3) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/rules
    - Use DEB_UPSTREAM_VERSION at all places.
    - Add symlinks batik-<version>.jar and batik.jar pointing to
      batik-all-<version>.jar. (Closes: #522340)
  * debian/control
    - Add myself to 'Uploaders'.

  [ Vincent Fourmond ]
  * Changed section to java, what currently is in the archive
  * Already conforms to standard 3.8.1
  * Bumped debhelper compatibility level to 5, and bumped Build-depends
    accordingly

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 13 Apr 2009 20:42:00 +0200

batik (1.7-2) unstable; urgency=low

  * Adding xmlgraphics-commons-1.2 and xml-apis-ext to the jars for
    the build + corresponding build-deps
  * Added Vcs-* fields

  [ Sylvestre Ledru ]
  * Build class version 49 (instead of 50)

  [ Vincent Fourmond ]
  * Minor updates to the debian/copyright file 
  * It seems time has come for an upload to unstable...
  * Adding ${misc:Depends} for potential debhelper-induced dependencies
  * Tweaking rasterizer.1 to avoid unbreakable lines

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 18 Feb 2009 22:58:36 +0100

batik (1.7-1) experimental; urgency=low

  * New upstream release (Closes: #417888, #490556)
  * Switched to using java-wrappers for executables; dropping the 
    /usr/lib/java/wrappers.sh script
  * Switched debian/copyright to a machine-readable format
  * Added ANT_OPTS to fix the compiler out of memory problem
  * Removing 02_fix_jar_target, no longer applicable
  * Removing 01_build_xml, as the created target (pdf-transcoder) cannot
    be built anymore
  * Fixed JAVA_HOME_DIRS so it can build with Sun's java 5
  * Strip the full text of the Apache-2.0 license, as it now is
    in the common licenses
  * Switch to openjdk-6-jdk for building (closes: #397562)
  * Several tweaks in debian/rules to build and install all the jars,
    based on a patch by Sylvestre Ledru <sylvestre.ledru@inria.fr>
  * Now depends also on libxml-commons-external-java for SVG parsing
  * Conforms to standards 3.8.0
  * Updated rasterizer.sh to work with libxml-commons-external-java
    and openjdk (closes: #490621)
  * Move wrapper scripts to debian/wrappers, updating debian/rules 
    accordingly
  * Recommend fop for PDF output of rasterizer
  * Removed README.Debian-source: we don't add the fop sources anymore
    as those are already packaged in the fop debian package
  * Uploading to experimental, as there are potentially much too many
    disruptive changes to this package.

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 17 Sep 2008 20:14:33 +0200

batik (1.6-4) unstable; urgency=low

  [ Mark Howard ]
  * debian/watch: added.

  [ Vincent Fourmond ]
  * Created a /usr/lib/java/wrappers.sh for the various programs
    provided by libbatik-java, to make them work in more various
    environments.
  * Manual pages for svgpp, rasterizer, squiggle and ttf2svg
    (Closes: #458021)
  * rasterizer now launches by default with -scriptSecurityOff so it
    works again (Closes: #413103). Added an option to turn security back on.
  * Comply with policy 3.7.3
  * Changed build-deps to sun-j2sdk1.4, to reflect the current make-jpkg
    output.

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 03 Jan 2008 01:20:15 +0100

batik (1.6-3) unstable; urgency=low

  * Add wrapper scripts (rasterizer.sh squiggle.sh svgpp.sh ttf2svg.sh)
    to start batik applications.  Install them without the .sh prefix in
    /usr/bin/.  (Closes: #152180)
  * Removed build dependency on libgnujaxp-java (Closes: #385293).
  * Build-Depends on debhelper and cdbs (instead of Build-Depends-Indep).
  * Build-Depends-Indep on java-gcj-compat-dev.
  * Updated Standards-Version to 3.7.2.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Mon, 18 Sep 2006 21:11:49 +0000

batik (1.6-2) unstable; urgency=low

  * Re-Introduce lost link batik.jar and add 02_fix_jar_target.patch 
    to fix library content (closes: #334878)
  * Thighten depends on avalon-framework (closes: #335883)
  * Corrected README.Debian

 -- Wolfgang Baer <WBaer@gmx.de>  Thu, 20 Oct 2005 17:17:28 +0200

batik (1.6-1) unstable; urgency=low



=== debian/control ===
Source: batik
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Baer <WBaer@gmx.de>, Michael Koch <konqueror@gmx.de>, 
 Vincent Fourmond <fourmond@debian.org>, Onkar Shinde <onkarshinde@ubuntu.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0), cdbs
Build-Depends-Indep: openjdk-6-jdk | sun-java5-jdk | sun-java6-jdk, ant, 
 libbsf-java, libxalan2-java, rhino, libavalon-framework-java (>= 4.2.0), 
 libcommons-io-java, libcommons-logging-java, libxml-commons-external-java,
 maven-repo-helper
Homepage: http://xml.apache.org/batik/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/batik
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/batik

Package: libbatik-java
Architecture: all
Depends: openjdk-6-jre-headless | java2-runtime-headless,
 libxalan2-java, libbsf-java, 
 libavalon-framework-java (>= 4.2.0), libcommons-io-java, 
 libcommons-logging-java, java-wrappers (>= 0.1.12),
 libxml-commons-external-java,
 ${misc:Depends}
Recommends: fop (>= 1:0.94), rhino, openjdk-6-jre
Description: xml.apache.org SVG Library
 Batik is a toolkit for applications or applets that want to use images
 in the Scalable Vector Graphics (SVG) format for various purposes, such
 as viewing, generation or manipulation.
 .
 Batik provides several modules to be used in applications:
  * A SVG generator module, usable to export graphics into the SVG format.
  * A SVG processor and SVG Viewing component for integrating SVG viewing.
  * A module to convert SVG to various formats, such as raster images 
    (JPEG, PNG or Tiff) and PS, PDF.
 .
 fop is necessary for PDF output of rasterizer.
 .
 rhino is necessary for using the SVG browser, squiggle.
 .
 For detailed information, go to http://xml.apache.org/batik/

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for batik (uses CDBS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JITC_PROCESSOR_TYPE=6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)

JAVA_HOME_DIRS       := /usr/lib/jvm/java-7-openjdk-$(arch) \
	/usr/lib/jvm/java-6-openjdk-$(arch) /usr/lib/jvm/java-6-openjdk \
	/usr/lib/jvm/java-1.5.0-sun /usr/lib/jvm/java-6-sun
ANT_HOME             := /usr/share/ant
DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar bfs \
	gnujaxp js xalan2 xml-apis-ext
DEB_ANT_COMPILER     := modern
DEB_ANT_BUILD_TARGET := all-jar libs-jar ext-jar transcoder-jar
DEB_BUILDDIR         := .
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_CLEAN_TARGET := clean

# Increasing memory of the compiler
ANT_OPTS             := -Xms256m -Xmx256m

LIBRARY=batik

LIB_NAMES = all libs
install/libbatik-java::
	# Install poms
	ant maven-artifacts
	for jar in batik-$(DEB_UPSTREAM_VERSION)/maven/*/$(DEB_UPSTREAM_VERSION)/*.jar; do \
	  pom=$$(dirname $$jar)/$$(basename $$jar .jar).pom; \
	  mh_installpom -v -plibbatik-java $$pom; \
	  mh_installjar -plibbatik-java -l $$pom $$jar; \
	done

	# Install batik-all.jar and batik-libs.jar
	for name in $(LIB_NAMES); do \
	  install -m 644 batik-$(DEB_UPSTREAM_VERSION)/lib/batik-$$name.jar debian/libbatik-java/usr/share/java/batik-$$name-$(DEB_UPSTREAM_VERSION).jar; \
	  ln -s batik-$$name-$(DEB_UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$$name.jar; \
	done
	ln -s batik-all-$(DEB_UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$(DEB_UPSTREAM_VERSION).jar; \
	ln -s batik-all-$(DEB_UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik.jar; \

	# Install wrapper scripts
	install -d debian/libbatik-java/usr/bin
	for prog in debian/wrappers/* ; do \
		install -t debian/libbatik-java/usr/bin/ $$prog  ; \
	done

## batik 1.7+dfsg

=== debian/changelog ===
batik (1.7+dfsg-3+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2018-8013: information disclosure vulnerability. (Closes: #899374)

 -- Markus Koschany <apo@debian.org>  Fri, 25 May 2018 16:37:14 +0200

batik (1.7+dfsg-3+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-5662: information disclosure vulnerability (Closes: #860566)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 26 Apr 2017 14:07:34 -0400

batik (1.7+dfsg-3+deb7u1) wheezy-security; urgency=high

  * Team upload.
  * Add debian/patches/cve_2015_0250.patch to disable external XML entity
    resolution (information disclosure).  This addresses CVE-2015-0250.
    (Closes: #780897)

 -- tony mancill <tmancill@debian.org>  Tue, 24 Mar 2015 05:17:00 +0000

batik (1.7+dfsg-3) unstable; urgency=low

  * Team upload.
  * Fix too strict Java JRE dependency.  (Closes: #678612)

 -- Niels Thykier <niels@thykier.net>  Sat, 23 Jun 2012 15:04:32 +0200

batik (1.7+dfsg-2) unstable; urgency=low

  * Team upload.
  * Allow OpenJDK-7 as alternative to OpenJDK-6.
  * Remove old references to sun-java.
  * Add missing call to mh_clean in the clean rule.
  * Fix typo in manpage.

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 12:57:28 +0200

batik (1.7+dfsg-1) unstable; urgency=low

  * Provide a repackaged tarball stripping all binary jars (closes: #657244)
    - updated debian/new-upstream as a consequence 
  * Disable the installation of batik-js.jar, that wasn't built from sources 
    (it was a subset of rhino's js.jar)
  * Conforms to standards 3.9.3
  * Modernize a bit debian/copyright

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 12 Mar 2012 20:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Wolfgang Baer <WBaer@gmx.de>, Michael Koch <konqueror@gmx.de>, 
  Vincent Fourmond <fourmond@debian.org>, Onkar Shinde <onkarshinde@ubuntu.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5.0), cdbs
-Build-Depends-Indep: openjdk-6-jdk | sun-java5-jdk | sun-java6-jdk, ant, 
+Build-Depends-Indep: openjdk-6-jdk | openjdk-7-jdk, ant, 
  libbsf-java, libxalan2-java, rhino, libavalon-framework-java (>= 4.2.0), 
  libcommons-io-java, libcommons-logging-java, libxml-commons-external-java,
  maven-repo-helper
@@ -16,13 +16,14 @@
 
 Package: libbatik-java
 Architecture: all
-Depends: openjdk-6-jre-headless | java2-runtime-headless,
+Depends: default-jre-headless | java5-runtime-headless
+     | java6-runtime-headless | java7-runtime-headless,
  libxalan2-java, libbsf-java, 
  libavalon-framework-java (>= 4.2.0), libcommons-io-java, 
  libcommons-logging-java, java-wrappers (>= 0.1.12),
  libxml-commons-external-java,
  ${misc:Depends}
-Recommends: fop (>= 1:0.94), rhino, openjdk-6-jre
+Recommends: fop (>= 1:0.94), rhino, openjdk-6-jre | openjdk-7-jre-headless 
 Description: xml.apache.org SVG Library
  Batik is a toolkit for applications or applets that want to use images
  in the Scalable Vector Graphics (SVG) format for various purposes, such

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for batik (uses CDBS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JITC_PROCESSOR_TYPE=6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)

JAVA_HOME_DIRS       := /usr/lib/jvm/java-7-openjdk-$(arch) \
	/usr/lib/jvm/java-6-openjdk-$(arch) /usr/lib/jvm/java-6-openjdk
ANT_HOME             := /usr/share/ant
DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar bfs \
	gnujaxp js xalan2 xml-apis-ext
DEB_ANT_COMPILER     := modern
DEB_ANT_BUILD_TARGET := all-jar libs-jar ext-jar transcoder-jar
DEB_BUILDDIR         := .
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_CLEAN_TARGET := clean

# Increasing memory of the compiler
ANT_OPTS             := -Xms256m -Xmx256m -Dbuild.sysclasspath=only

LIBRARY=batik

UPSTREAM_VERSION = $(subst +dfsg,,$(DEB_UPSTREAM_VERSION))

LIB_NAMES = all libs
install/libbatik-java::
	# Install poms
	ant maven-artifacts
	for jar in batik-$(UPSTREAM_VERSION)/maven/*/$(UPSTREAM_VERSION)/*.jar; do \
	  pom=$$(dirname $$jar)/$$(basename $$jar .jar).pom; \
	  mh_installpom -v -plibbatik-java $$pom; \
	  mh_installjar -plibbatik-java -l $$pom $$jar; \
	done

	# Install batik-all.jar and batik-libs.jar
	for name in $(LIB_NAMES); do \
	  install -m 644 batik-$(UPSTREAM_VERSION)/lib/batik-$$name.jar debian/libbatik-java/usr/share/java/batik-$$name-$(UPSTREAM_VERSION).jar; \
	  ln -s batik-$$name-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$$name.jar; \
	done
	ln -s batik-all-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$(UPSTREAM_VERSION).jar; \
	ln -s batik-all-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik.jar; \

	# Install wrapper scripts
	install -d debian/libbatik-java/usr/bin
	for prog in debian/wrappers/* ; do \
		install -t debian/libbatik-java/usr/bin/ $$prog  ; \
	done

clean::
	mh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://archive.apache.org/dist/xmlgraphics/batik/ batik-src-([0123456789.]*).zip debian debian/new-upstream

## batik 1.7.ubuntu

=== debian/changelog ===
batik (1.7.ubuntu-8ubuntu2.14.04.3) trusty-security; urgency=medium

  * SECURITY UPDATE: Information disclosure vulnerability
    - debian/patches/CVE-2018-8013.patch: fix in
      sources/org/apache/batik/dom/AbstractDocument.java.
    - CVE-2018-8013

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 28 May 2018 14:08:13 -0300

batik (1.7.ubuntu-8ubuntu2.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: SSRF through external DTD resolution
    - debian/patches/CVE-2017-5662.patch: disable external DTD resolution
      in sources/org/apache/batik/dom/util/SAXDocumentFactory.java.
    - Thanks to Debian for the patch backport.
    - CVE-2017-5662

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 May 2017 12:48:26 -0400

batik (1.7.ubuntu-8ubuntu2.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: XML external entity information disclosure
    - debian/patches/cve_2015_0250.patch: disable external entities in
      sources/org/apache/batik/dom/util/SAXDocumentFactory.java.
    - Thanks to Debian for the patch backport.
    - CVE-2015-0250

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Mar 2015 10:51:32 -0400

batik (1.7.ubuntu-8ubuntu2) quantal; urgency=low

  * Switch package to use default-jdk instead of openjdk-6:
    - d/control: Updated BDI's to use default-jdk instead of openjdk-6.
    - d/control: Updated to use default-jre-headless as runtime.

 -- James Page <james.page@ubuntu.com>  Wed, 16 May 2012 17:50:14 +0100

batik (1.7.ubuntu-8ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #946158), remaining changes:
    + fix upstream version since we're stuck with this fake upstream version
      until the next upstream release
      - update debian/rules
  * Drop debian/patches/series diff as Debian now has their own version
    which works fine
  * Mark Vcs-* as XS-Debian-Vcs-*
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 04 Mar 2012 02:36:50 -0600

batik (1.7.ubuntu-6ubuntu1) natty; urgency=low

  * Fakesync from Debian unstable. (LP: #681078)
  * Add a debian/patches/series file so patches are applied (also reported 
    in Debian #604871, however since we can't currently sync their version 
    we should fix it in Ubuntu too).
  * Debian changes from 1.7-5 to 1.7-6 are:

  [ Vincent Fourmond ]
  * Really fix the dependency on java runtime to only pull headless
    runtimes

  [ Gabriele Giacone ]
  * Added Maven support
  * Standards-Version to 3.8.4
  * Source format 3.0 (quilt)

  * Debian changes from 1.7-4 to 1.7-5 are:

  [ Vincent Fourmond ]
  * Dropped the dependency on openjdk-6-jre, in profit for
    openjdk-6-jre-headless, so we won't pull the whole Gtk libraries just
    for using fop (closes: #551545).
  * Already conforms to standards 3.8.3
  * Removing Arnaud Vandyck from Uploaders as he did retire. Many thanks
    for your work on batik !

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Wed, 24 Nov 2010 21:37:30 +0000

batik (1.7.ubuntu-4ubuntu1) karmic; urgency=low

  * Fakesync from Debian unstable. Version number bumped because the
    previous Ubuntu version 1.7.dfsg is greater than 1.7.
  * debian/rules:
    - Added a VERSION variable to strip .ubuntu from DEB_UPSTREAM_VERSION,
      to ensure correct version (1.7) in jar names.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 07 May 2009 20:42:20 +0700

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for batik (uses CDBS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JITC_PROCESSOR_TYPE=6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

export VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed s/\.ubuntu//)

arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)

JAVA_HOME_DIRS       := /usr/lib/jvm/java-7-openjdk-$(arch) \
	/usr/lib/jvm/java-6-openjdk-$(arch) /usr/lib/jvm/java-6-openjdk \
	/usr/lib/jvm/java-1.5.0-sun /usr/lib/jvm/java-6-sun
ANT_HOME             := /usr/share/ant
DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar bfs \
	gnujaxp js xalan2 xml-apis-ext
DEB_ANT_COMPILER     := modern
DEB_ANT_BUILD_TARGET := all-jar libs-jar ext-jar transcoder-jar
DEB_BUILDDIR         := .
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_CLEAN_TARGET := clean

# Increasing memory of the compiler
ANT_OPTS             := -Xms256m -Xmx256m

LIBRARY=batik

LIB_NAMES = all libs
install/libbatik-java::
	# Install poms
	ant maven-artifacts
	for jar in batik-$(VERSION)/maven/*/$(VERSION)/*.jar; do \
	  pom=$$(dirname $$jar)/$$(basename $$jar .jar).pom; \
	  mh_installpom -v -plibbatik-java $$pom; \
	  mh_installjar -plibbatik-java -l $$pom $$jar; \
	done

	# Install batik-all.jar and batik-libs.jar
	for name in $(LIB_NAMES); do \
	  install -m 644 batik-$(VERSION)/lib/batik-$$name.jar debian/libbatik-java/usr/share/java/batik-$$name-$(VERSION).jar; \
	  ln -s batik-$$name-$(VERSION).jar debian/libbatik-java/usr/share/java/batik-$$name.jar; \
	done
	ln -s batik-all-$(VERSION).jar debian/libbatik-java/usr/share/java/batik-$(VERSION).jar; \
	ln -s batik-all-$(VERSION).jar debian/libbatik-java/usr/share/java/batik.jar; \

	# Install wrapper scripts
	install -d debian/libbatik-java/usr/bin
	for prog in debian/wrappers/* ; do \
		install -t debian/libbatik-java/usr/bin/ $$prog  ; \
	done

=== debian/watch ===
version=3
http://archive.apache.org/dist/xmlgraphics/batik/ batik-src-([0123456789.]*).zip debian debian/new-upstream

## batik 1.8

=== debian/changelog ===
batik (1.8-3ubuntu1) xenial; urgency=medium

  * d/control: Demote runtime dependency on fop to Suggests to support
    demotion of fop to universe.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2016 13:58:24 +0000

batik (1.8-3) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * Fix compatibility issue. Closes: 794214

  [ Emmanuel Bourg ]
  * Removed the unused dependency on libavalon-framework-java

 -- Mathieu Malaterre <malat@debian.org>  Sat, 12 Sep 2015 22:24:50 +0200

batik (1.8-2) experimental; urgency=medium

  * Team upload.
  * Fix truncated patch: d/p/06_fix_paths_in_policy_files.patch
  * Fix broken symlinks (Thanks to Jérôme Robert/debian-java)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 16 Jul 2015 21:22:08 +0200

batik (1.8-1) experimental; urgency=medium

  * Team upload.
  * New upstream. Closes: #792175
  * Refreshed patches, remove one applied upstream.
  * Prefer File-Excluded: syntax over new-upstream script

 -- Mathieu Malaterre <malat@debian.org>  Sun, 12 Jul 2015 15:04:43 +0200

batik (1.7+dfsg-5) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Update homepage URL to https://xmlgraphics.apache.org/batik/ in
    debian/control and debian/copyright. (Closes: #771539)
  * Add debian/patches/cve_2015_0250.patch to disable external XML entity
    resolution (information disclosure).  This addresses CVE-2015-0250.
    (Closes: #780897)

  [ Emmanuel Bourg ]
  * Replaced the Build-Id in the manifests with a constant value
    to make the build reproducible.

 -- tony mancill <tmancill@debian.org>  Sat, 21 Mar 2015 15:24:17 -0700

batik (1.7+dfsg-4) unstable; urgency=low

  * Team upload.
  [ Jakub Adam ]
  * Add OSGi metadata to JAR manifests.

  [ Markus Koschany ]
  * debian/rules: Set JAVA_HOME_DIRS to /usr/lib/jvm/default-java,
    build-depend on default-jdk and not on openjdk6-jdk |
    openjdk-7-jdk anymore. Fixes FTBFS with pbuilder-satisfydepends-classic.
    (Closes: #725461)
  * Bump Standards-Version to 3.9.4, no changes.
  * Bump compat level to 9 and require debhelper >= 9.
  * Use canonical VCS-URI.
  * Remove Michael Koch from Uploaders. (Closes: #653996)
  * libatik-java: Drop all jre/jdk dependencies. Recommend default-jre instead.
  * Run wrap-and-sort -sa
  * Add DEP-3 header to all patches.

 -- Markus Koschany <apo@gambaru.de>  Mon, 14 Oct 2013 12:49:09 +0200

=== debian/control ===
Source: batik
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Baer <WBaer@gmx.de>,
           Vincent Fourmond <fourmond@debian.org>,
           Onkar Shinde <onkarshinde@ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: cdbs, debhelper (>= 9)
Build-Depends-Indep: ant,
                     default-jdk,
                     javahelper,
                     libbsf-java,
                     libcommons-io-java,
                     libcommons-logging-java,
                     libxalan2-java,
                     libxml-commons-external-java,
                     libxmlgraphics-commons-java (>= 2.0.1),
                     maven-repo-helper,
                     rhino
Homepage: https://xmlgraphics.apache.org/batik/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/batik
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/batik

Package: libbatik-java
Architecture: all
Depends: java-wrappers (>= 0.1.12),
         libbsf-java,
         libcommons-io-java,
         libcommons-logging-java,
         libxalan2-java,
         libxml-commons-external-java,
         libxmlgraphics-commons-java (>= 2.0.1),
         ${misc:Depends}
Recommends: default-jre, rhino
Suggests: fop (>= 1:0.94)
Breaks: elki (<= 0.6.5), libfop-java (<< 2.0)
Description: xml.apache.org SVG Library
 Batik is a toolkit for applications or applets that want to use images
 in the Scalable Vector Graphics (SVG) format for various purposes, such
 as viewing, generation or manipulation.
 .
 Batik provides several modules to be used in applications:
  * A SVG generator module, usable to export graphics into the SVG format.
  * A SVG processor and SVG Viewing component for integrating SVG viewing.
  * A module to convert SVG to various formats, such as raster images
    (JPEG, PNG or Tiff) and PS, PDF.
 .
 fop is necessary for PDF output of rasterizer.
 .
 rhino is necessary for using the SVG browser, squiggle.
 .
 For detailed information, go to http://xml.apache.org/batik/

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for batik (uses CDBS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JITC_PROCESSOR_TYPE=6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/ant.mk

arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)

JAVA_HOME_DIRS       := /usr/lib/jvm/default-java
ANT_HOME             := /usr/share/ant
DEB_JARS             := $(ANT_HOME)/lib/ant-launcher.jar bfs \
	gnujaxp js xalan2 xml-apis-ext xmlgraphics-commons
DEB_ANT_COMPILER     := modern
DEB_ANT_BUILD_TARGET := all-jar libs-jar ext-jar transcoder-jar
DEB_BUILDDIR         := .
DEB_ANT_BUILDFILE    := build.xml
DEB_ANT_CLEAN_TARGET := clean

# Increasing memory of the compiler
ANT_OPTS             := -Xms256m -Xmx256m -Dbuild.sysclasspath=only

LIBRARY=batik

UPSTREAM_VERSION = $(subst +dfsg,,$(DEB_UPSTREAM_VERSION))

LIB_NAMES = all libs
install/libbatik-java::
	# Install poms
	ant maven-artifacts -Dbuild.id=Debian
	for jar in batik-$(UPSTREAM_VERSION)/maven/*/$(UPSTREAM_VERSION)/*.jar; do \
	  pom=$$(dirname $$jar)/$$(basename $$jar .jar).pom; \
	  mh_installpom -v -plibbatik-java $$pom; \
	  mh_installjar -plibbatik-java -l $$pom $$jar; \
	done

	# Install batik-all.jar and batik-libs.jar
	for name in $(LIB_NAMES); do \
	  install -m 644 batik-$(UPSTREAM_VERSION)/lib/batik-$$name-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$$name-$(UPSTREAM_VERSION).jar; \
	  ln -s batik-$$name-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$$name.jar; \
	done
	ln -s batik-all-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik-$(UPSTREAM_VERSION).jar; \
	ln -s batik-all-$(UPSTREAM_VERSION).jar debian/libbatik-java/usr/share/java/batik.jar; \

	# Install wrapper scripts
	install -d debian/libbatik-java/usr/bin
	for prog in debian/wrappers/* ; do \
		install -t debian/libbatik-java/usr/bin/ $$prog  ; \
	done

clean::
	mh_clean

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://archive.apache.org/dist/xmlgraphics/batik/source/batik-src-([\d.]+)\.tar\.gz

## batik 1.9

=== debian/changelog ===
batik (1.9-3) unstable; urgency=medium

  * Team upload.
  * Made the rhino and jython dependencies optional (Closes: #875322)
  * Removed the unused dependencies on libbsf-java, libcommons-io-java
    and libcommons-logging-java
  * Build with Maven instead of Ant
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Oct 2017 16:55:14 +0200

batik (1.9-2) unstable; urgency=medium

  * Fix "batik-1.9 causes FTBFS for freeplane due to changed
    artifacts/poms" Upstream poms assume maven build. Ant build bundles contents
    of batik-i18n.jar and batik-constants.jar into batik-util.jar. Use 
    debian/maven.rules to adjust for this. (Closes: #875322)

 -- Christopher Hoskin <mans0954@debian.org>  Wed, 13 Sep 2017 07:57:01 +0100

batik (1.9-1) unstable; urgency=medium

  * Team upload.
  * Moved the package to Git
  * Updated signing keys from https://www.apache.org/dist/xmlgraphics/batik/KEYS
  * Exclude jar files from documentation-sources 
  * Add repack script to remove non-free ICC profiles
  * New upstream (1.9) 
      + Fix "CVE-2017-5662: information disclosure vulnerability" Upstream claim
        BATIK-1139 is fixed in 1.9 (Closes: #860566)
  * Disable old patches, pending further investigation 
  * Get package building again
      +  maven-artifacts is no longer a target, explicitly add jars to 
         DEB_ANT_BUILD_TARGET
      +  Add debian/debian/libbatik-java.poms, call mh_install to install jars
         and poms, for closer alignment to other pkg-java packages
  * Fix spellings in debian/manpages/rasterizer.1
  * Remove redundant remove-js.patch
  * Fix "batik is crashing (libbatik-java)" by patching build.xml to specify
    classpaths as appropriate for Debian (Closes: #605063)
  * Update Standards-Version from 3.9.8 to 4.0.0 (no change required)
  * Update 06_fix_paths_in_policy_files.patch 
  * Remove bug805469.patch (fixed upstream 
    http://svn.apache.org/viewvc?view=revision&revision=1687506)
  * Update debian/copyright 
  * Remove unnecessary greater-than versioned dependencies from debian/control

 -- Christopher Hoskin <mans0954@debian.org>  Mon, 04 Sep 2017 06:57:58 +0100

batik (1.8-4) unstable; urgency=medium

  [ Jakub Adam ]
  * Team upload.
  * Fix versioned OSGi dependencies.
  * Fix repeating Breaks: in d/control.

  [ Mathieu Malaterre ]
  * Team upload.
  * Fix squiggle script crashes with a NoClassDefFoundError. Closes: #824113
  * Fix FOUserAgent - SVG graphic could not be built. Closes: #805469
  * Bump Std-Vers to 3.9.8, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 07 Oct 2016 09:23:44 +0200

=== debian/control ===
Source: batik
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Wolfgang Baer <WBaer@gmx.de>,
 Vincent Fourmond <fourmond@debian.org>,
 Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends:
 ant,
 debhelper (>= 10),
 default-jdk,
 javahelper,
 jython,
 libmaven-assembly-plugin-java,
 libxalan2-java,
 libxml-commons-external-java,
 libxmlgraphics-commons-java (>= 2.0.1),
 maven-debian-helper,
 rhino
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/batik.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/batik.git
Homepage: https://xmlgraphics.apache.org/batik/

Package: libbatik-java
Architecture: all
Depends: java-wrappers, ${maven:Depends}, ${misc:Depends}
Suggests: ${maven:OptionalDepends}
Recommends: default-jre
Breaks:
 elki (<= 0.6.5),
 libfop-java (<< 2.0)
Description: xml.apache.org SVG Library
 Batik is a toolkit for applications or applets that want to use images
 in the Scalable Vector Graphics (SVG) format for various purposes, such
 as viewing, generation or manipulation.
 .
 Batik provides several modules to be used in applications:
  * A SVG generator module, usable to export graphics into the SVG format.
  * A SVG processor and SVG Viewing component for integrating SVG viewing.
  * A module to convert SVG to various formats, such as raster images
    (JPEG, PNG or Tiff) and PS, PDF.
 .
 fop is necessary for PDF output of rasterizer.
 .
 rhino is necessary for using the SVG browser, squiggle.
 .
 For detailed information, go to http://xml.apache.org/batik/

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME = /usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
   http://archive.apache.org/dist/xmlgraphics/batik/source/batik-src-([\d.]+)\.tar\.gz \
   debian sh debian/repack.stub

## batik 1.10

=== debian/changelog ===
batik (1.10-2~18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Server-Side Request Forgery
    - debian/patches/CVE-2019-17566.patch: BATIK-1276: Allow blocking of
      external resources.
    - debian/patches/CVE-2020-11987.patch: BATIK-1284: Dont load DTDs in
      NodePickerPanel.
    - debian/patches/CVE-2022-38398.patch: BATIK-1331: Jar url should be
      blocked by DefaultExternalResourceSecurity.
    - debian/patches/CVE-2022-38648.patch: BATIK-1333: Block external
      resource before calling fop.
    - debian/patches/CVE-2022-40146.patch: BATIK-1335: Jar url should be
      blocked by DefaultScriptSecurity.
    - debian/patches/CVE-2022-41704.patch: BATIK-1338: Block loading jar
      inside svg.
    - debian/patches/CVE-2022-42890.patch: BATIK-1345: Restrict what java
      classes can be run thru rhino.
    - CVE-2019-17566
    - CVE-2020-11987
    - CVE-2022-38398
    - CVE-2022-38648
    - CVE-2022-40146
    - CVE-2022-41704
    - CVE-2022-42890

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Mon, 22 May 2023 17:34:34 -0300

batik (1.10-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2019 13:09:09 +0100

batik (1.10-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 11 (Closes: #913050)
  * Tightened the version of maven-debian-helper required to build batik
    (Closes: #902532)
  * Standards-Version updated to 4.2.1
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Dec 2018 00:28:22 +0100

batik (1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.
    - squiggle works as expected again after updating the policy patch.
      (Closes: #884481)
    - Fix CVE-2018-8013: information disclosure vulnerability.
      (Closes: #899374)
  * Drop 07_optional_rhino_and_jython_dependencies.patch. Applied upstream.
  * Remove repack scripts and use Files-Excluded mechanism instead.
  * Update the watch file. Use Files-Excluded.
  * Ignore jython artifact and add no-Jython-support.patch. Jython as a
    scripting language for Batik is no longer supported because the dependency
    complicates transitions. (Closes: #884536)
  * Ignore batik-test-old module.

 -- Markus Koschany <apo@debian.org>  Fri, 25 May 2018 13:53:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,18 @@
  Onkar Shinde <onkarshinde@ubuntu.com>
 Build-Depends:
  ant,
- debhelper (>= 10),
+ debhelper (>= 11),
  default-jdk,
  javahelper,
- jython,
  libmaven-assembly-plugin-java,
  libxalan2-java,
  libxml-commons-external-java,
  libxmlgraphics-commons-java (>= 2.0.1),
- maven-debian-helper,
+ maven-debian-helper (>= 2.2.3),
  rhino
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/batik.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/batik.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/batik.git
+Vcs-Browser: https://salsa.debian.org/java-team/batik
 Homepage: https://xmlgraphics.apache.org/batik/
 
 Package: libbatik-java

## batik 1.10.1

=== debian/changelog ===
batik (1.10.1-1+security) unstable; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 24 Jun 2021 14:48:31 +0800

batik (1.10-2+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * CVE-2019-17566: Server-side request forgery via xlink:href attributes.
    (Closes: #964510)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 10 Jul 2020 19:28:13 +0200

## batik 1.12

=== documentation-sources/content/demo/Makefile ===
AppletDemo.class : AppletDemo.java
	javac -classpath .:batik-awt-util.jar:batik-bridge.jar:batik-css.jar:batik-dom.jar:batik-ext.jar:batik-gvt.jar:batik-parser.jar:batik-script.jar:batik-svg-dom.jar:batik-swing.jar:batik-util.jar:batik-xml.jar:xml-apis-dom3.jar AppletDemo.java

=== debian/changelog ===
batik (1.12-4+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-11987, CVE-2022-38398, CVE-2022-38648, CVE-2022-40146:
    Server-Side Request Forgery

 -- Adrian Bunk <bunk@debian.org>  Sun, 20 Jul 2025 21:05:25 +0300

batik (1.12-4+deb11u2) bullseye; urgency=medium

  * Team upload.
  * Fixing CVE-2022-44729 and CVE-2022-44730

 -- Pierre Gruet <pgt@debian.org>  Fri, 25 Aug 2023 11:07:07 +0200

batik (1.12-4+deb11u1) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2022-41704 and CVE-2022-42890:
    It was discovered that Apache Batik, an SVG library for Java, allowed
    attackers to run arbitrary Java code by processing a malicious SVG file.

 -- Markus Koschany <apo@debian.org>  Sat, 29 Oct 2022 16:22:11 +0200

batik (1.12-4) unstable; urgency=medium

  * Team upload.
  * Add manifest for batik-i18n.
  * Mark in batik-css manifest it requires batik-i18n.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 23 Sep 2020 11:46:22 +0100

batik (1.12-3) unstable; urgency=medium

  * Team upload.
  * Update version of Require-Bundle in d/manifest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 05 Sep 2020 23:45:45 +0100

batik (1.12-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Update version in d/manifest.
  * Use java helper to generate MANIFEST.MF from d/manifest.
    - MANIFEST file in generate jars missed Bundle information.
  * Update Standards-Version to 4.5.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 04 Sep 2020 19:00:07 +0100

batik (1.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2019-17566: Server-side request forgery via xlink:href attributes.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 10 Jul 2020 18:23:19 +0200

batik (1.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream 1.12

 -- Mathieu Malaterre <malat@debian.org>  Sun, 16 Feb 2020 21:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Onkar Shinde <onkarshinde@ubuntu.com>
 Build-Depends:
  ant,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  libmaven-assembly-plugin-java,
@@ -17,7 +17,7 @@
  libxmlgraphics-commons-java (>= 2.0.1),
  maven-debian-helper (>= 2.2.3),
  rhino
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/batik.git
 Vcs-Browser: https://salsa.debian.org/java-team/batik
 Homepage: https://xmlgraphics.apache.org/batik/

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME = /usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven --with javahelper

## batik 1.14

=== debian/changelog ===
batik (1.14-2ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Server-Side Request Forgery
    - debian/patches/CVE-2022-38398.patch: BATIK-1331: Jar url should be
      blocked by DefaultExternalResourceSecurity.
    - debian/patches/CVE-2022-38648.patch: BATIK-1333: Block external
      resource before calling fop.
    - debian/patches/CVE-2022-40146.patch: BATIK-1335: Jar url should be
      blocked by DefaultScriptSecurity.
    - debian/patches/CVE-2022-41704.patch: BATIK-1338: Block loading jar
      inside svg.
    - debian/patches/CVE-2022-42890.patch: BATIK-1345: Restrict what java
      classes can be run thru rhino.
    - CVE-2022-38398
    - CVE-2022-38648
    - CVE-2022-40146
    - CVE-2022-41704
    - CVE-2022-42890

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 23 May 2023 15:42:39 -0300

batik (1.14-2) unstable; urgency=medium

  * Team upload
  * Adding classpaths and main classes in the manifests of the built jars
    (Closes: #1013281)
  * Reworking debian/watch:
    - Raising its version to 4
    - Using secure URI
  * Raising Standards version to 4.6.1 (no change)
  * Refreshing d/copyright
  * Getting rid of unneeded versioned dependencies in d/control

  [ Andrius Merkys ]
  * Remove Onkar Shinde from the uploaders list per request.
    Thanks for your contributions.

 -- Pierre Gruet <pgt@debian.org>  Mon, 18 Jul 2022 23:48:46 +0200

batik (1.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.14 (Closes: #1000561)
    Addresses CVE-2020-11987 (Closes: #984829)
  * Set Rules-Requires-Root: no in debian/control
  * Let java7-runtime-headless satisfy Recommends (Closes: #1000405)
  * Delete patch for CVE-2109-17566; applied upstream
  * Update poms; add batik-shared-resources; remove batik-test-util
  * Add build-dep on libmaven-dependency-plugin-java

 -- tony mancill <tmancill@debian.org>  Tue, 23 Nov 2021 21:28:11 -0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: batik
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Wolfgang Baer <WBaer@gmx.de>,
- Vincent Fourmond <fourmond@debian.org>,
- Onkar Shinde <onkarshinde@ubuntu.com>
+ Vincent Fourmond <fourmond@debian.org>
 Build-Depends:
  ant,
  debhelper-compat (= 13),
  default-jdk,
  javahelper,
  libmaven-assembly-plugin-java,
+ libmaven-dependency-plugin-java,
  libxalan2-java,
  libxml-commons-external-java,
- libxmlgraphics-commons-java (>= 2.0.1),
- maven-debian-helper (>= 2.2.3),
+ libxmlgraphics-commons-java,
+ maven-debian-helper,
  rhino
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/batik.git
 Vcs-Browser: https://salsa.debian.org/java-team/batik
 Homepage: https://xmlgraphics.apache.org/batik/
+Rules-Requires-Root: no
 
 Package: libbatik-java
 Architecture: all
 Depends: java-wrappers, ${maven:Depends}, ${misc:Depends}
 Suggests: ${maven:OptionalDepends}
-Recommends: default-jre
+Recommends: default-jre-headless | java7-runtime-headless
 Breaks:
  elki (<= 0.6.5),
  libfop-java (<< 2.0)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
   https://archive.apache.org/dist/xmlgraphics/batik/source/batik-src-([\d.]+)\.tar\.gz

## batik 1.16+dfsg

=== debian/changelog ===
batik (1.16+dfsg-1+deb12u1) bookworm; urgency=medium

  * Fixing CVE-2022-44729 and CVE-2022-44730

 -- Pierre Gruet <pgt@debian.org>  Thu, 24 Aug 2023 21:28:00 +0200

batik (1.16+dfsg-1) unstable; urgency=medium

  * New upstream version 1.16+dfsg, fixing security issues:
    - CVE-2022-41704
    - CVE-2022-42890

 -- Pierre Gruet <pgt@debian.org>  Thu, 27 Oct 2022 18:27:37 +0200

batik (1.15+dfsg-1) unstable; urgency=medium

  * New upstream version, fixing security issues (Closes: #1020589):
    - CVE-2022-38398
    - CVE-2022-38648
    - CVE-2022-40146
  * Adding a +dfsg suffix when repacking
  * Updating years in d/copyright
  * Adding myself as uploader
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Repository, Repository-Browse, Bug-Database
  * Adding Lintian overrides for the codeless jars
  * Adding DEP-3 headers for the patches

 -- Pierre Gruet <pgt@debian.org>  Sun, 25 Sep 2022 16:00:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: batik
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders:
- Wolfgang Baer <WBaer@gmx.de>,
- Vincent Fourmond <fourmond@debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Wolfgang Baer <WBaer@gmx.de>,
+           Vincent Fourmond <fourmond@debian.org>,
+           Pierre Gruet <pgt@debian.org>
 Build-Depends:
  ant,
  debhelper-compat (= 13),

## batik 1.17+dfsg

=== debian/changelog ===
batik (1.17+dfsg-1) unstable; urgency=medium

  * New upstream version 1.17+dfsg, fixing security issues:
    - CVE-2022-44729
    - CVE-2022-44730
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)
  * Refreshing copyright years
  * Ignoring maven-javadoc-plugin
  * Fixing mismatched Lintian overrides

 -- Pierre Gruet <pgt@debian.org>  Thu, 24 Aug 2023 14:59:39 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libxmlgraphics-commons-java,
  maven-debian-helper,
  rhino
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/batik.git
 Vcs-Browser: https://salsa.debian.org/java-team/batik
 Homepage: https://xmlgraphics.apache.org/batik/

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, \
 repack, repacksuffix=+dfsg, dversionmangle=auto, compression=xz" \
 https://archive.apache.org/dist/xmlgraphics/batik/source/batik-src-([\d.]+)\.tar\.gz

## batik 1.18%2Bdfsg

=== debian/changelog ===
batik (1.18+dfsg-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:26:39 +0000

batik (1.18+dfsg-2) unstable; urgency=medium

  * Filling in the classpaths and main classes of the built jars
  * Using java:Depends substvar in the dependencies
  * Removing Lintian overrides about formerly malformed classpaths

 -- Pierre Gruet <pgt@debian.org>  Wed, 30 Oct 2024 06:56:47 +0100

batik (1.18+dfsg-1) unstable; urgency=medium

  * New upstream version 1.18+dfsg
  * Raising Standards version to 4.7.0, no change needed
  * Adding B-D on libjaxp1.3-java (Closes: #1086174)

 -- Pierre Gruet <pgt@debian.org>  Mon, 28 Oct 2024 12:10:42 +0100

## batik 1.18+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  default-jdk,
  javahelper,
+ libjaxp1.3-java,
  libmaven-assembly-plugin-java,
  libmaven-dependency-plugin-java,
  libxalan2-java,
@@ -17,7 +18,7 @@
  libxmlgraphics-commons-java,
  maven-debian-helper,
  rhino
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/batik.git
 Vcs-Browser: https://salsa.debian.org/java-team/batik
 Homepage: https://xmlgraphics.apache.org/batik/
@@ -25,7 +26,7 @@
 
 Package: libbatik-java
 Architecture: all
-Depends: java-wrappers, ${maven:Depends}, ${misc:Depends}
+Depends: java-wrappers, ${maven:Depends}, ${java:Depends}, ${misc:Depends}
 Suggests: ${maven:OptionalDepends}
 Recommends: default-jre-headless | java7-runtime-headless
 Breaks:
